Get bank account
curl --request GET \
--url https://api.sandbox.tesouro.com/embedded-banking/v1/bank-accounts/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sandbox.tesouro.com/embedded-banking/v1/bank-accounts/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sandbox.tesouro.com/embedded-banking/v1/bank-accounts/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"accountNumber": "<string>",
"balance": {
"currencyCode": "<string>",
"value": 123
},
"createdDateTime": "2023-11-07T05:31:56Z",
"routingNumber": "<string>",
"status": "ACTIVE",
"bankAccountReference": "<string>",
"nickname": "<string>"
}{
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}{
"detail": "<string>",
"errorCode": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}Bank Accounts
Get bank account
Retrieves a specific bank account with its current balance.
Token types: APP, USER | Required scopes: bank_account:read:org
GET
/
embedded-banking
/
v1
/
bank-accounts
/
{id}
Get bank account
Authorizations
APPTokenUSERToken
Application (M2M) OAuth2 access token (client credentials).
Path Parameters
The bank account ID.
Response
Returns bank account with balance.
Response model for a bank account with balance information.
Unique identifier for the bank account.
Masked account number.
Current balance of the bank account in minor units (e.g. cents for USD).
Show child attributes
Show child attributes
The UTC timestamp when the bank account was created.
Bank routing number.
The status of the bank account.
Available options:
ACTIVE, CLOSED Reference identifier associated with the bank account.
Nickname for the bank account.
Was this page helpful?